Subject: Re: [patch net-next 3/9] mlx4: Implement port type setting via devlink interface

From: Hannes Frederic Sowa <[email-masked]>
Date: Tue, 23 Feb 2016 12:26:00 +0100

Hi Jiri,

On 22.02.2016 19:31, Jiri Pirko wrote:
> From: Jiri Pirko <[email-masked]>
>
> So far, there has been an mlx4-specific sysfs file allowing user to
> change port type to either Ethernet of InfiniBand. This is very
> inconvenient.

Again, I want to express my concerns regarding all of this until this 
will be integrated into udev/systemd for stable device names. While one 
can build wrapper code around devlink to have stable devlink ports, I 
don't see a reason to include kernel code which actually has more 
problems than the sysfs approach. This harms admins to use those devices 
and will additionally require user space to write boiler plate code.

Thanks,
Hannes